/*
AUTORE: Manuel Vichi
Generazione di parole pronunciabili con data dimensione
*/
#include <iostream>
#include <cstring>
#include <cctype>
#include <ctime>
using namespace std;
int main() {
	srand(time(NULL)); //Inzializzazione generatore causale
	char vocali[] = "AEIOU";
	char consonanti[] = "BCDFGLMNPRSTVZ";
	int dim;
	cout << "Inserisci la dimensione della parola: ";
	cin >> dim;
	cout << endl;
	char output[dim]; //Parola in output generata
	for (int i = 0; i < dim; i+=2) {
		output[i+1] = vocali[rand() % 5]; //Vocali
		output[i] = consonanti[rand() % 14]; //Consonanti
	}
	cout << "Parola generata: ";
	for (int i = 0; i < dim; i++) {
		cout << output[i];
	}
	cout << endl;
	return 0;
}